eCos Reference Manual
Prev |  | Next

# fis write

## Name

fis write -- Write flash area

## Synopsis

fis write {-b `mem_address`} {-l `length`} {-f `flash_address`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`mem_address` | Number | Address of data to be written to flash. |
`length` | Number | Length of data to be writtem. |
`flash_address` | Number | Address of flash to write to. |

## Description

This command is used to write data from memory to flash. There is no cross-checking to ensure that the area being written to does not correspond to an existing image.

## Examples

Write an area of data to the flash

    RedBoot> fis write -b 0x0606f000 -l 0x1000 -f 0x00020000
    * CAUTION * about to program FLASH
                at 0x00020000..0x0002ffff from 0x0606f000 - continue (y/n)? y
    ... Erase from 0x00020000-0x00030000: .
    ... Program from 0x0606f000-0x0607f000 at 0x00020000: .

Prev | Home | Next
fis erase | Up | Persistent State Flash-based Configuration and Control